## dpkg 1.22.6ubuntu6.5trisquel5

=== debian/changelog ===
dpkg (1.22.6ubuntu6.5trisquel5) ecne-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Sep 2025 16:51:56 +0000
