## dpkg 1.22.6ubuntu14

=== debian/changelog ===
dpkg (1.22.6ubuntu14) oracular; urgency=medium

  * Export environment variables DEB_BUILD_OS_RELEASE_ID, DEB_HOST_ARCH,
    DEB_SOURCE, and DEB_VERSION when including buildflags.mk (LP: #2070015)
  * buildflags: document RUSTFLAGS
  * buildflags: Always set RUSTFLAGS
  * buildflags: set origin of env vars for ELF package metadata

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 21 Jun 2024 18:46:10 +0200

dpkg (1.22.6ubuntu13) oracular; urgency=medium

  * dpkg-buildflags: stop setting osVersion in ELF metadata (LP: #2069599)
  * Fix missing DPKG_BUILDPACKAGE_* env variables by exposing them via
    dpkg-buildflags instead of dpkg-buildpackage. (LP: #2069722) Rename the
    environment variables in that step:
    - DPKG_BUILDPACKAGE_PACKAGE_ARCH -> DEB_HOST_ARCH
    - DPKG_BUILDPACKAGE_PACKAGE_NAME -> DEB_SOURCE
    - DPKG_BUILDPACKAGE_PACKAGE_VERSION -> DEB_VERSION
    - DPKG_BUILDPACKAGE_OS_RELEASE_ID -> DEB_BUILD_OS_RELEASE_ID
    - DPKG_BUILDPACKAGE_DEBUGINFOD_URLS -> DEB_BUILD_DEBUG_INFO_URL

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Jun 2024 11:00:11 +0200

dpkg (1.22.6ubuntu12) oracular; urgency=medium

  [ Zixing Liu ]
  * dpkg-buildflags: set RUSTFLAGS to influence the command line flags cargo
    will pass to rustc, and set the flags to include framepointers when the
    framepointer feature of the qa area is enabled.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Jun 2024 11:08:14 +1200

dpkg (1.22.6ubuntu11) oracular; urgency=medium

  [ Luca Boccassi ]
  * tests: avoid failing under DEB_VENDOR != Debian
  * dpkg-buildflags: enable ELF package note metadata

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 15 Jun 2024 00:20:30 +0200

dpkg (1.22.6ubuntu10) oracular; urgency=medium

  * Also disable framepointer on s390x, leaving only -mbackchain.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 May 2024 11:45:38 -0700

dpkg (1.22.6ubuntu9) oracular; urgency=medium

  * Disable framepointer on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 May 2024 10:20:49 -0700

dpkg (1.22.6ubuntu8) oracular; urgency=medium

  [ Krzysztof Adamski ]
  * Add a note about different behaviour of dpkg-buildflags with respect to
    LTO on Ubuntu.  (LP: #2059107)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 30 Apr 2024 13:02:11 -0600
