## dpkg 1.22.11

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 	-Wno-unused-parameter \
 	# EOL
 
-# elfpackagemetadata needs dpkg-buildpackage to set some env vars, so disable
-# it until a new enough version of dpkg-dev is available.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=-elfpackagemetadata
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = $(WFLAGS)
 export DEB_CXXFLAGS_MAINT_APPEND = $(WFLAGS)
 
@@ -28,17 +26,15 @@
 	confflags += --with-libselinux
 endif
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-	TESTSUITEFLAGS += --verbose
+  testflags += TEST_VERBOSE=1
 endif
 
 # Enable parallel test suite
 NUMJOBS = 1
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  TESTSUITEFLAGS += -j$(NUMJOBS)
+  testflags += TEST_PARALLEL=$(NUMJOBS)
 endif
-
-testflags = TESTSUITEFLAGS=$(TESTSUITEFLAGS) TEST_PARALLEL=$(NUMJOBS)
 
 dpkg_vendor = \
 	$(CURDIR)/build-aux/run-script scripts/dpkg-vendor.pl
@@ -110,9 +106,3 @@
 override_dh_missing:
 	dh_missing -Xdpkg-fsys-usrunmess
 endif
-
-override_dh_builddeb:
-	# Make debootstrap life easier on non-Debian based systems by
-	# compressing dpkg.deb with xz instead of zstd.
-	dh_builddeb -pdpkg -- -Zxz
-	dh_builddeb -Ndpkg
