=== debian/rules ===
--- 
+++ 
@@ -106,3 +106,9 @@
 override_dh_missing:
 	dh_missing -Xdpkg-fsys-usrunmess
 endif
+
+override_dh_builddeb:
+	# Make debootstrap life easier on non-Debian based systems by
+	# compressing dpkg.deb with xz instead of zstd.
+	dh_builddeb -pdpkg -- -Zxz
+	dh_builddeb -Ndpkg
