## dpkg 1.22.11ubuntu3

=== debian/changelog ===
dpkg (1.22.11ubuntu3) plucky; urgency=medium

  * Adjust dpkg-buildflags test cases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Oct 2024 09:03:08 +0100

dpkg (1.22.11ubuntu2) plucky; urgency=medium

  * Default to -O3 on amd64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2024 10:02:18 +0200
