## dpkg 1.22.11ubuntu4

=== debian/changelog ===
dpkg (1.22.11ubuntu4) plucky; urgency=medium

  * Apply Guillem's patch from Debian bug 2093107 to reduce the excessive
    number of dpkg-buildflags calls seen with GNU make 4.4. (LP: #2093107)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jan 2025 20:30:15 +1300
