## dpkg 1.22.11+rpi1

=== debian/changelog ===
dpkg (1.22.11+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.20.5+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 02 Aug 2020 12:08:02 +0000]
  * Hack up Vendor.pm so it doesn't fail
    (see https://lists.debian.org/debian-dpkg/2020/08/msg00004.html )

  [changes introduce in 1.21.17+rpi1 by Peter Michael Green]
  * disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 18 Aug 2024 06:12:36 +0000
