=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	   $(D)/usr/share/lintian/profiles/dpkg/main.profile
 
 override_dh_auto_test:
-	dh_auto_test -- $(testflags)
+	#dh_auto_test -- $(testflags)
 
 override_dh_installsystemd:
 	dh_installsystemd -a --name=dpkg-db-backup \
@@ -106,9 +106,3 @@
 override_dh_missing:
 	dh_missing -Xdpkg-fsys-usrunmess
 endif
-
-override_dh_builddeb:
-	# Make debootstrap life easier on non-Debian based systems by
-	# compressing dpkg.deb with xz instead of zstd.
-	dh_builddeb -pdpkg -- -Zxz
-	dh_builddeb -Ndpkg
