## dpkg 1.22.14~mx23

=== debian/changelog ===
dpkg (1.22.14~mx23) mx; urgency=medium

  * Rebuild for MX-23 Test

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 04 Feb 2025 17:57:36 +0000

dpkg (1.22.14) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Switch from info() to hint() for hint message.
  * Perl modules:
    - Dpkg::BuildDriver::DebianRules: Fix R³ namespace check to only refuse
      unknown dpkg keywords. Closes: #1092653
  * Make fragments:
    - Use flavor to avoid re-caching empty variables. See #1092051.
  * Shell library:
    - Abstract color clearing with a new variable.
    - Lowercase and namespace private variables with _dpkg_.
    - Fix debug output format to print debug in lowercase after progname.
    - Document library interface basics and the version when introduced.
    - Add support for notice(), info() and hint() functions.
  * Code internals:
    - libdpkg: Add support for hint printing.
  * Test suite:
    - Remove redundant <cstdbool> include deprecated in C++17.
  * Localization:
    - Update Brazilian Portuguese dselect translations.
      Thanks to Paulo Henrique de Lima Santana (phls) <phls@debian.org>.
      Closes: #1092593

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

  [ Sven Joachim ]
  * Localization:
    - Update German programs translation.

 -- Guillem Jover <guillem@debian.org>  Thu, 16 Jan 2025 03:56:38 +0100

dpkg (1.22.13) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Add support for filesystem metadata checks.
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Handle all KeyHandle types in
      inline_sign(). See #1091915.
    - Dpkg::OpenPGP::Backend::Sequoia: Check whether we can use the key.
      Closes: #1091915
    - Dpkg::OpenPGP::Backend: Add missing imports. Closes: #1091990
    - Dpkg::BuildDriver::DebianRules: Change default R³ value to «no».
  * Documentation:
    - man: Document the version since the Section and Priority fields have
      defaults.
    - man: Clarify Priority values by mentioning known important and unknown
      ones.
    - man: Clarify Section and Priority values usage tied to distribution
      policies.
    - man: Refer to --sign-keyid instead of --sign-key in DEB_SIGN_KEYID
      description.
  * Code internals:
    - libdpkg: Add test cases for varbuf C++ operators.
    - libdpkg: Do not call varbuf_init() from operator=().
    - dselect: Make sure the search varbuf always has allocated space.
      See #1091898.
    - dselect: Update the search varbuf to account for the used size.
      Closes: #1091898
    - dselect: Fix logic inversion in repeat search keybinding.
    - dselect: Fix formatting for return in keybindings::find().
    - scripts: When printing a field value quote it with double quotes.
    - dpkg-gencontrol: Add missing field name to warning message. See #1091941.
    - dpkg-genchanges: Set Section and Priority defaults even with no fields.
      Closes: #1091941

 -- Guillem Jover <guillem@debian.org>  Fri, 03 Jan 2025 11:47:15 +0100

dpkg (1.22.12) unstable; urgency=medium

  [ Guillem Jover ]
  * libdpkg: Check for pager presence and fallback to less, more and cat.
    Closes: #856216
  * dpkg-shlibdeps: Add symbolic name alternative to --warnings bits.
  * Update URLs.
  * dpkg-deb: Add --no-check option and keep --nocheck as an alias.
  * dpkg: Unify package and version printing format to «package (version)».
  * dpkg-buildtree: Add new command is-rootless.
    Suggested by Niels Thykier <niels@thykier.net>.
  * scripts: Switch messages to be hints.
  * dpkg-buildpackage: Reword hint on unsatisfied dependencies. Closes: #817955
  * dpkg-checkbuilddeps: Improve unmet dependency error messages.
  * dpkg-buildpackage: Switch unmet dependency abort message from warning to
    error.
  * scripts: Change and inject default value for Section and Priority fields.
  * Perl modules:
    - Dpkg::Deps::Multiple: Document that the constructor takes @deps not
      %opts.
    - Dpkg::Changelog::Parse: Use %opts instead of %opt in function POD.
    - Dpkg::Control: Deprecate the backwards compatibility type aliases.
    - Dpkg::OpenPGP::Backend::GnuPG: Ignore
      ValuesAndExpressions::ProhibitMagicNumbers.
    - Dpkg::Vendor: Simplify module loading logic.
    - Dpkg::OpenPGP::Backend::SOP: Add rsop as an alternative SOP
      implementation.
    - Dpkg::OpenPGP::Backend::SOP: Add gosop as an alternative SOP
      implementation.
    - Dpkg::OpenPGP::Backend::Sequoia: Adapt to new CLI 0.40.0 API.
    - Dpkg::OpenPGP::Backend::Sequoia: Add keystore support.
    - Dpkg::Shlibs: Improve code comments.
    - Dpkg::Archive::Ar: Copy only the number of bytes we have read.
    - Dpkg::Vendor: Remove backwards compatibility module and origin name
      mangling.
    - Dpkg::BuildInfo: Add GNUMAKEFLAGS as an allowed environment variable.
      Thanks to Santiago Vila <sanvila@debian.org>. Closes: #1090337
    - Dpkg::BuildDriver::DebianRules: Handle missing root_cmd option.
    - Dpkg::ErrorHandling: Add support for hint printing.
    - Dpkg::OpenPGP::Backend::GnuPG: Handle and warn on concatenated ASCII
      Armor blocks.
    - Revert "Dpkg::OpenPGP::Backend::GnuPG: Fallback to use «gpg dearmor» if
      present".
    - Dpkg::OpenPGP::Backend::GnuPG: Move armor/dearmor implementation to base
      class.
    - Dpkg::OpenPGP::Backend::SOP: Use the parent class armor/dearmor
      implementations.
    - Dpkg::Vendor::Debian: Remove merged-/usr taint logic.
    - Dpkg::Control::FieldsCore: Add new field_get_default_value() function.
  * Make fragments:
    - Document DPKG_BUILD_API in buildapi.mk.
    - Document public API and expected directory to include from.
      Prompted by Helmut Grohne <helmut@subdivi.de>.
    - Capitalize variable descriptions.
    - Clarify format for version variables from pkg-info.mk.
      See #1088244.
    - Add support for new DEB_VERSION_EPOCH and DEB_VERSION_REVISION.
      Closes: #1088244

