## dpkg 1.22.14

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -119,13 +118,12 @@
  patch (>= 2.7),
  make,
  binutils,
- lto-disabled-list,
 Recommends:
  build-essential,
  gcc | c-compiler,
  fakeroot,
- gnupg | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
- gpgv | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
+ gnupg | sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq,
+ gpgv | sq | sqop | rsop | gosop | pgpainless-cli | gpgv-sq,
 # Used by dpkg-mergechangelogs.
  libalgorithm-merge-perl,
 Suggests:
@@ -134,9 +132,13 @@
 # Force R³ support, w/o requiring debhelper users to depend on dpkg-dev.
  debhelper (<< 10.10.1~),
 # Uses new sq features, w/o requiring a hard dependency on sq.
- sq (<< 0.33.0~),
+ sq (<< 0.40.0~),
 # Uses required SOP features, w/o requiring a hard dependency on sqop.
  sqop (<< 0.27.2~),
+# Uses required SOP features, w/o requiring a hard dependency on rsop.
+ rsop (<< 0.4.0~),
+# Uses required SOP features, w/o requiring a hard dependency on gosop.
+ gosop (<< 1.1.0~),
 # Uses required SOP features, w/o requiring a hard dependency on pgpainless.
  pgpainless-cli (<< 1.3.13~),
  libsop-java-java (<< 4.0.7~),
@@ -155,7 +157,6 @@
 Priority: optional
 Architecture: all
 Multi-Arch: foreign
-Replaces: trisquel-base-data
 Depends:
  ${misc:Depends},
  ${perl:Depends},
@@ -171,8 +172,8 @@
  xz-utils (>= 5.4.0),
 Suggests:
  debian-keyring,
- gnupg | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
- gpgv | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
+ gnupg | sq | sqop | rsop | gosop | pgpainless-cli | gpg-sq,
+ gpgv | sq | sqop | rsop | gosop | pgpainless-cli | gpgv-sq,
  gcc | c-compiler,
  binutils,
  patch,
@@ -190,9 +191,13 @@
 # versions prior to 1.19.0.
  dgit (<< 3.13~),
 # Uses new sq features, w/o requiring a hard dependency on sq.
- sq (<< 0.33.0~),
+ sq (<< 0.40.0~),
 # Uses required SOP features, w/o requiring a hard dependency on sqop.
  sqop (<< 0.27.2~),
+# Uses required SOP features, w/o requiring a hard dependency on rsop.
+ rsop (<< 0.4.0~),
+# Uses required SOP features, w/o requiring a hard dependency on gosop.
+ gosop (<< 1.1.0~),
 # Uses required SOP features, w/o requiring a hard dependency on pgpainless.
  pgpainless-cli (<< 1.3.13~),
  libsop-java-java (<< 4.0.7~),
