## dpkg 1.22.15

=== debian/changelog ===
dpkg (1.22.15) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::BuildDriver::DebianRules: Remove unused Dpkg::BuildAPI import.
    - Dpkg::OpenPGP::Backend::GnuPG: Sign file with fixed up newline.
    - Dpkg::Substvars: Add new set_as_optional() and set_as_required() methods.
  * Documentation:
    - man: Change verb tense for Makefile fragment files descriptions.
    - man: Document that buildapi.mk sets a variable.
    - man: Add reference to buildtools and vendor make fragments to related
      tools.
    - man: Split architecture examples into their own paragraphs.
    - man: Clarify architecture terms and the architecture forms.
    - man: Clarify that build and target are not usual variables to use.
    - doc: Remove duplicate words across newlines.
      Thanks to Michael Biebl <biebl@debian.org>. Closes: #1093548
  * Build system:
    - Add array bounds warning.
    - Add new dialect checks for strict flex array behavior and warnings.
    - Add compiler hardening support.

  [ Sven Joachim ]
  * Localization:
    - Update German programs translation.

 -- Guillem Jover <guillem@debian.org>  Mon, 03 Feb 2025 12:01:24 +0100
